@import '../px-flexbox-design/base.flexbox.scss';
:host {
  width: 100%;
  height: 100%;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.container {
  overflow-y: auto;
  height: 100%;
}
.hidden {
  display: none;
}
.flag {
  display: inline-block;
}

.query-builder .rule-placeholder, .query-builder .rule-container, .query-builder .group-container {
  position: relative;
  margin: 4px 0;
  border-radius: 5px;
  padding: 5px;
  border: 1px dotted #96b7dc;
  //background: rgba(255, 255, 255, 0.9);
}

.query-builder .drag-handle, .query-builder .error-container, .query-builder .rule-container .rule-filter-container,
.query-builder .rule-container .rule-operator-container,
.query-builder .rule-container .rule-value-container {
  display: inline-block;
  margin: 0 5px 0 0;
  vertical-align: middle;
}

.query-builder .group-container {
  padding: 10px;
  padding-bottom: 6px;
  border: 1px solid #96b7dc;
  //background: rgba(250, 240, 210, 0.5);
}
.query-builder .group-header {
  margin-bottom: 7px;
}
.query-builder .group-header .group-conditions .btn.readonly:not(.active),
.query-builder .group-header .group-conditions input[name$=_cond] {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  white-space: nowrap;
}
.query-builder .group-header .group-conditions .btn.readonly {
  border-radius: 3px;
}
.query-builder .rules-list {
  list-style: none;
  padding: 0 0 0 15px;
  margin: 0;
}
.query-builder .rule-value-container {
  border-left: 1px solid #DDD;
  padding-left: 5px;
}
.query-builder .rule-value-container label {
  margin-bottom: 0;
  font-weight: normal;
}
.query-builder .rule-value-container label.block {
  display: block;
}
.query-builder .rule-value-container select,
.query-builder .rule-value-container input[type=text],
.query-builder .rule-value-container input[type=number] {
  padding: 1px;
}
.query-builder .error-container {
  display: none;
  cursor: help;
  color: #F00;
}
.query-builder .has-error {
  //background-color: #FDD;
  border-color: #F99;
  border-style: solid;
}
.query-builder .has-error .error-container {
  display: inline-block !important;
}
.query-builder .rules-list > *::before, .query-builder .rules-list > *::after {
  content: "";
  position: absolute;
  left: -10px;
  width: 8px;
  height: calc(50% + 6px);
  border-color: #96b7dc;
  border-style: solid;
}
.query-builder .rules-list > *::before {
  top: -4px;
  border-width: 0 0 2px 2px;
}
.query-builder .rules-list > *::after {
  top: 50%;
  border-width: 0 0 0 2px;
}
.query-builder .rules-list > *:first-child::before {
  top: -12px;
  height: calc(50% + 14px);
}
.query-builder .rules-list > *:last-child::before {
  border-radius: 0 0 0 4px;
}
.query-builder .rules-list > *:last-child::after {
  display: none;
}

.query-builder.bt-checkbox-glyphicons .checkbox input[type=checkbox]:checked + label::after {
  font-family: "Glyphicons Halflings";
  content: "\e013";
}
.query-builder.bt-checkbox-glyphicons .checkbox label::after {
  padding-left: 4px;
  padding-top: 2px;
  font-size: 9px;
}

.query-builder .error-container + .tooltip .tooltip-inner {
  color: #F99 !important;
}

.query-builder p.filter-description {
  margin: 5px 0 0 0;
  background: #D9EDF7;
  border: 1px solid #BCE8F1;
  color: #31708F;
  border-radius: 5px;
  padding: 2.5px 5px;
  font-size: 0.8em;
}

.query-builder .group-header [data-invert] {
  margin-left: 5px;
}

.query-builder .drag-handle {
  cursor: move;
  vertical-align: middle;
  margin-left: 5px;
}
.query-builder .dragging {
  position: fixed;
  opacity: 0.5;
  z-index: 100;
}
.query-builder .dragging::before, .query-builder .dragging::after {
  display: none;
}
.query-builder .rule-placeholder {
  border: 1px dashed #BBB;
  opacity: 0.7;
}
